function initsettcirc(handles,datasizes)

set(handles.mainframe1,'Visible','on');
set(handles.popupmenu8,'Visible','on');
set(handles.pushbutton10,'Visible','on');
set(handles.pushbutton11,'Visible','on');
set(handles.slider3,'Visible','off');
set(handles.edit18,'Visible','off');
set(handles.edit10,'String','NA');
set(handles.edit10,'Enable','inactive');
set(handles.edit11,'String','NA');
set(handles.edit11,'Enable','inactive');
set(handles.edit12,'String','NA');
set(handles.edit12,'Enable','inactive');
set(handles.edit13,'String','NA');
set(handles.edit13,'Enable','inactive');
set(handles.edit14,'String','NA');
set(handles.edit14,'Enable','inactive');
set(handles.edit15,'String','NA');
set(handles.edit15,'Enable','inactive');
set(handles.checkbox17,'Enable','inactive');
set(handles.checkbox18,'Enable','inactive');
set(handles.checkbox19,'Enable','inactive');
set(handles.checkbox20,'Enable','inactive');
axes(handles.mainframe1);
set(handles.edit3,'String',datasizes);